From b476719159d430ea8c0ff113e40dc28dabb05ef1 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Wed, 9 Aug 2023 12:28:23 +1000
Subject: [PATCH v1] Improved message for create subscription

---
 src/backend/commands/subscriptioncmds.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/commands/subscriptioncmds.c b/src/backend/commands/subscriptioncmds.c
index d4e798b..4ac846b 100644
--- a/src/backend/commands/subscriptioncmds.c
+++ b/src/backend/commands/subscriptioncmds.c
@@ -2023,8 +2023,8 @@ check_publications_origin(WalReceiverConn *wrconn, List *publications,
 				errcode(ERRCODE_OBJECT_NOT_IN_PREREQUISITE_STATE),
 				errmsg("subscription \"%s\" requested copy_data with origin = NONE but might copy data that had a different origin",
 					   subname),
-				errdetail_plural("Subscribed publication %s is subscribing to other publications.",
-								 "Subscribed publications %s are subscribing to other publications.",
+				errdetail_plural("The subscription that you are creating has a publication (%s) containing tables written to by other subscriptions.",
+								 "The subscription that you are creating has publications (%s) containing tables written to by other subscriptions.",
 								 list_length(publist), pubnames->data),
 				errhint("Verify that initial data copied from the publisher tables did not come from other origins."));
 	}
-- 
1.8.3.1

